Page MenuHomePhabricator

csharp: Add licensing information.
ClosedPublic

Authored by lauromoura on Jul 26 2019, 9:15 AM.

Details

Summary

C# bindings will be lincensed under Apache Sofware License 2.0.

This commit adds the license text to the licenses folder and a copyright
notice to the binding files.

Fixes T8039

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
lauromoura created this revision.Jul 26 2019, 9:15 AM
lauromoura requested review of this revision.Jul 26 2019, 9:15 AM
lauromoura planned changes to this revision.Jul 29 2019, 10:47 AM

Will update the copyright notice authors list.

lauromoura updated this revision to Diff 23775.Jul 30 2019, 4:24 PM

Update with copyright notice directing to AUTHORS file for better tracking

And most people expressed agreement, only some ex or current samsung employees didn't respond.

felipealmeida accepted this revision.Oct 24 2019, 6:08 AM

Since all committers were either samsung or expertise solutions employee or contractors and they all have contract transferring copyright ownership to their respective company, then it is OK to change license info.

This revision is now accepted and ready to land.Oct 24 2019, 6:08 AM
This revision was automatically updated to reflect the committed changes.